<?php
class User_model extends CI_model{
  function create($formArray)
    {
        $this->db->insert('profile',$formArray);//insert into users
    }



//
    function getRows($params = array())
{
    $this->db->select('*');
    $this->db->from('registration');
 
    //fetch data by conditions
    if(array_key_exists("conditions",$params))
    {
        foreach ($params['conditions'] as $key => $value) 
        {
            $this->db->where($key,$value);
        }
    }
 
    if(array_key_exists("id",$params))
    {
        $this->db->where('id',$params['id']);
        $query = $this->db->get();
        $result = $query->row_array();
    }
    else
    {
        //set start and limit
        if(array_key_exists("start",$params) && array_key_exists("limit",$params))
        {
            $this->db->limit($params['limit'],$params['start']);
        }
        elseif(!array_key_exists("start",$params) && array_key_exists("limit",$params))
        {
            $this->db->limit($params['limit']);
        }
        $query = $this->db->get();
        if(array_key_exists("returnType",$params) && $params['returnType'] == 'count')
        {
            $result = $query->num_rows();
        }
        elseif(array_key_exists("returnType",$params) && $params['returnType'] == 'single')
        {
            $result = ($query->num_rows() > 0)?$query->row_array():FALSE;
        }
        else
        {
            $result = ($query->num_rows() > 0)?$query->result_array():FALSE;
        }
    }
 
    //return fetched data
    return $result;
}
    
    /*
     * Insert user information
     */
    public function insert($data = array())
     {
      
        
        //insert user data to users 'table'
        $insert = $this->db->insert('registration', $data);
        
        //return the status
        if($insert)
        {
            return $this->db->insert_id();;
        }
        else
        {
            return false;
        }
    }



//risk database create
function riskcreate($formArray)
    {
        $this->db->insert('risk',$formArray);//insert into users
    }

function create_spouse($formArray)
{
    $this->db->insert('spouse',$formArray);//insert into users
}
function create_children($formArray)
{
    $this->db->insert('children',$formArray);//insert into users
}
function create_parent($formArray)
{
    $this->db->insert('pare',$formArray);//insert into users
}

function create_education($formArray)
{
    $this->db->insert('education',$formArray);//insert into users
}
function create_goal_car($formArray)
{
    $this->db->insert('goal',$formArray);//insert into users
}
function create_goal_health($formArray)
{
    $this->db->insert('health',$formArray);//insert into users
}
function create_goal_retire($formArray)
{
    $this->db->insert('retire',$formArray);//insert into users
}
function create_goal_marriage($formArray)
{
    $this->db->insert('marriage',$formArray);//insert into users
}
function create_goal_protection($formArray)
{
    $this->db->insert('protection',$formArray);//insert into users
}
function create_goal_income($formArray)
{
    $this->db->insert('income',$formArray);//insert into users
}

function create_expense_house($formArray)
{
    $this->db->insert('house',$formArray);//insert into users
}
function create_expense_style($formArray)
{
    $this->db->insert('style',$formArray);//insert into users
}
function create_expense_invest($formArray)
{
    $this->db->insert('investments',$formArray);//insert into users
}
function create_expense_emis($formArray)
{
    $this->db->insert('emis',$formArray);//insert into users
}
function create_expense_insurance($formArray)
{
    $this->db->insert('insurance',$formArray);//insert into users
}
function create_expense_networth($formArray)
{
    $this->db->insert('networth',$formArray);//insert into users
}
function create_expense_growth($formArray)
{
    $this->db->insert('growth',$formArray);//insert into users
}



    function all(){
      $this->db->order_by('profile_id');
      return $users = $this->db->get('profile')->result_array();
      
    }
//get profile data
    public function get_user_data3($id)
    {

        $query = $this->db->get("profile WHERE profile_id='$id'")->result_array();

        return $query;

    }
//get spouse daata
    public function get_user_spouse($id)
    {

        $query = $this->db->get("spouse WHERE user_id='$id'")->result_array();

        return $query;

    }
   
//get spouse daata
public function get_user_children($id)
{

    $query = $this->db->get("children WHERE user_id='$id'")->result_array();

    return $query;

}

public function get_income_from_reg($id)
{

    $query = $this->db->get("income WHERE user_id='$id'")->result_array();

    return $query;

}
   //end

   //
   //get parent daata
public function get_user_parent($id)
{

    $query = $this->db->get("pare WHERE user_id='$id'")->result_array();

    return $query;

}

//get profile data
public function get_user_risk($id)
{

    $query = $this->db->get("risk WHERE user_id='$id'")->result_array();

    return $query;

}
   //end
 //get child education   
   public function get_user_education($id)
   {
   
       $query = $this->db->get("education WHERE user_id='$id'")->result_array();
   
       return $query;
   
   }
   
   public function get_user_car_goal($id)
   {
   
       $query = $this->db->get("goal WHERE user_id='$id'")->result_array();
   
       return $query;
   
   }
   public function get_user_health_goal($id)
   {
   
       $query = $this->db->get("health WHERE user_id='$id'")->result_array();
   
       return $query;
   
   }
   public function get_user_retire_goal($id)
   {
       $query = $this->db->get("retire WHERE user_id='$id'")->result_array(); 
       return $query;
   }
   public function get_user_marrriage_goal($id)
   {
       $query = $this->db->get("marriage WHERE user_id='$id'")->result_array(); 
       return $query;
   }
   public function get_user_protection_goal($id)
   {
       $query = $this->db->get("protection WHERE user_id='$id'")->result_array(); 
       return $query;
   }
   
   public function get_user_income_goal($id)
   {
       $query = $this->db->get("income WHERE user_id='$id'")->result_array(); 
       return $query;
   }
   public function get_children_from_reg($id)
   {
   
       $query = $this->db->get("children WHERE user_id='$id'")->result_array();
   
       return $query;
   
   }
   public function get_spouse_from_reg($id)
   {
       $query = $this->db->get("spouse WHERE user_id='$id'")->result_array();
       return $query;
   }
   
   //
    function getUser($userId){
      $this->db->where('user_id',$userId);
      return $user = $this->db->get('profile')->row_array();
    }
//spouse delete
    function getSp($userId){
        $this->db->where('user_id',$userId);
        return $user = $this->db->get('spouse')->row_array();
      }
  // end
  //spouse delete
  function getCh($userId){
    $this->db->where('user_id',$userId);
    return $user = $this->db->get('children')->row_array();
  }
// end
//spouse delete
function getParen($userId){
    $this->db->where('user_id',$userId);
    return $user = $this->db->get('pare')->row_array();
  }
// end

// delete assets
 function getNetwrth($userId){
        $this->db->where('user_id',$userId);
        return $user = $this->db->get('networth')->row_array();
      }
    function deleteNetworth($userId)
    {
      $this->db->where('user_id',$userId);
      $this->db->delete('networth');
    }
    function getGrowth($userId){
        $this->db->where('user_id',$userId);
        return $user = $this->db->get('growth')->row_array();
      }
    function deleteGrowth($userId)
    {
      $this->db->where('user_id',$userId);
      $this->db->delete('growth');
    }
    function getInsurance($userId){
        $this->db->where('user_id',$userId);
        return $user = $this->db->get('insurance')->row_array();
      }
    function deleteInsurance($userId)
    {
      $this->db->where('user_id',$userId);
      $this->db->delete('insurance');
    }
    
    
    // 
//child education

    function updateUser($userId,$formArray)
    {
      $this->db->where('profile_id',$userId);
      $this->db->update('profile',$formArray);
    }
    function updateIncome($userId,$formArray)
    {
      $this->db->where('user_id',$userId);
      $this->db->update('income',$formArray);
    }
//spouse
    function deletespouse($userId)
    {
      $this->db->where('user_id',$userId);
      $this->db->delete('spouse');
    }
  //children 
    function deleteChildren($userId)
    {
      $this->db->where('id',$userId);
      $this->db->delete('children');
    }
 //parent
    function deleteParent($userId)
    {
      $this->db->where('id',$userId);
      $this->db->delete('pare');
    }
   
// vidya
// update assets

function updateNetworth($userId,$formArray)
    {
      $this->db->where('user_id',$userId);
      $this->db->update('networth',$formArray);
    }
    function updateGrowth($userId,$formArray)
    {
      $this->db->where('user_id',$userId);
      $this->db->update('growth',$formArray);
    } 
    function updateIns($userId,$formArray)
    {
      $this->db->where('user_id',$userId);
      $this->db->update('insurance',$formArray);
    }
    
// 
 function updateSpouse($userId,$formArray)
    {
      $this->db->where('user_id',$userId);
      $this->db->update('spouse',$formArray);
    }
    function updateChildren($formArray)
    {
      $this->db->where('id',$formArray['id']);
      $this->db->update('children',$formArray);
    }
    function updateParent($formArray)
    {
      $this->db->where('id',$formArray['id']);
      $this->db->update('pare',$formArray);
    }
    // expense update
    function updateHouse($userId,$formArray)
    {
      $this->db->where('user_id',$userId);
      $this->db->update('house',$formArray);
    }
    function updateStyle($userId,$formArray)
    {
      $this->db->where('user_id',$userId);
      $this->db->update('style',$formArray);
    }
    function updateInvestments($userId,$formArray)
    {
      $this->db->where('user_id',$userId);
      $this->db->update('investments',$formArray);
    }
    function updateEmis($userId,$formArray)
    {
      $this->db->where('user_id',$userId);
      $this->db->update('emis',$formArray);
    }
// expense delte
 function getinvest($userId){
        $this->db->where('user_id',$userId);
        return $user = $this->db->get('investments')->row_array();
      }
    function deleteinvest($userId)
    {
      $this->db->where('user_id',$userId);
      $this->db->delete('investments');
    }
    function getHouse($userId){
        $this->db->where('user_id',$userId);
        return $user = $this->db->get('house')->row_array();
      }
    function deleteHouse($userId)
    {
      $this->db->where('user_id',$userId);
      $this->db->delete('house');
    }
    function getStyle($userId){
        $this->db->where('user_id',$userId);
        return $user = $this->db->get('style')->row_array();
      }
    function deleteStyle($userId)
    {
      $this->db->where('user_id',$userId);
      $this->db->delete('style');
    }
    function getEmi($userId){
        $this->db->where('user_id',$userId);
        return $user = $this->db->get('emis')->row_array();
      }
    function deleteEmi($userId)
    {
      $this->db->where('user_id',$userId);
      $this->db->delete('emis');
    }
    
    // 
public function get_user_house($id)
{

    $query = $this->db->get("house WHERE user_id='$id'")->result_array();

    return $query;

}
 public function get_user_style($id)
{

    $query = $this->db->get("style WHERE user_id='$id'")->result_array();

    return $query;

}
 public function get_user_investments($id)
{

    $query = $this->db->get("investments WHERE user_id='$id'")->result_array();

    return $query;

}
  public function get_user_emis($id)
{

    $query = $this->db->get("emis WHERE user_id='$id'")->result_array();

    return $query;

}
//get assets data
   public function get_user_networth($id)
{

    $query = $this->db->get("networth WHERE user_id='$id'")->result_array();

    return $query;

}
   public function get_user_growth($id)
{

    $query = $this->db->get("growth WHERE user_id='$id'")->result_array();

    return $query;

}
   public function get_user_insurance($id)
{

    $query = $this->db->get("insurance WHERE user_id='$id'")->result_array();

    return $query;

}
    
              
}

?>